# Uses of Enum Class
org.apache.sysds.runtime.compress.estim.sample.SampleEstimatorFactory.EstimationType

Packages that use SampleEstimatorFactory.EstimationType
Package
Description
org.apache.sysds.runtime.compress
org.apache.sysds.runtime.compress.estim.sample

## Uses of SampleEstimatorFactory.EstimationType in org.apache.sysds.runtime.compress

Fields in org.apache.sysds.runtime.compress declared as SampleEstimatorFactory.EstimationType
Modifier and Type
Field
Description
`final SampleEstimatorFactory.EstimationType`
CompressionSettings.`estimationType`
The sample type used for sampling
Methods in org.apache.sysds.runtime.compress with parameters of type SampleEstimatorFactory.EstimationType
Modifier and Type
Method
Description
`CompressionSettingsBuilder`
CompressionSettingsBuilder.`setEstimationType(SampleEstimatorFactory.EstimationType estimationType)`
Set the estimation type used for the sampled estimates.

## Uses of SampleEstimatorFactory.EstimationType in org.apache.sysds.runtime.compress.estim.sample

Methods in org.apache.sysds.runtime.compress.estim.sample that return SampleEstimatorFactory.EstimationType
Modifier and Type
Method
Description
`static SampleEstimatorFactory.EstimationType`
SampleEstimatorFactory.EstimationType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SampleEstimatorFactory.EstimationType[]`
SampleEstimatorFactory.EstimationType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.compress.estim.sample with parameters of type SampleEstimatorFactory.EstimationType
Modifier and Type
Method
Description
`static int`
SampleEstimatorFactory.`distinctCount(int[] frequencies, int nRows, int sampleSize, SampleEstimatorFactory.EstimationType type)`
Estimate a distinct number of values based on frequencies.
`static int`
SampleEstimatorFactory.`distinctCount(int[] frequencies, int nRows, int sampleSize, SampleEstimatorFactory.EstimationType type, HashMap<Integer,Double> solveCache)`
Estimate a distinct number of values based on frequencies.